aboutsummaryrefslogtreecommitdiffstats
path: root/build-and-push.sh
diff options
context:
space:
mode:
authorJan Tuomi <jans.tuomi@gmail.com>2023-09-27 14:37:30 +0300
committerJan Tuomi <jans.tuomi@gmail.com>2023-09-27 14:37:30 +0300
commit4d60c2f54fe9779ad007230d5ecf1c976efe1a00 (patch)
tree2d0f33eef9cab25bd6fd4d46b273327b650a7192 /build-and-push.sh
parente5f64574f890de462c01fed864356660d92a26a4 (diff)
Use self-hosted registry
Diffstat (limited to 'build-and-push.sh')
-rwxr-xr-xbuild-and-push.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/build-and-push.sh b/build-and-push.sh
new file mode 100755
index 0000000..ae3f04b
--- /dev/null
+++ b/build-and-push.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+IMAGE=registry.jan.systems/jan-systems-website:latest
+
+set -euxo pipefail
+docker build --platform linux/amd64 -t $IMAGE .
+docker push $IMAGE